"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FLEX_ALIGNMENTS = exports.THUMBNAILS_SIZE = exports.FIXTURE_RESULT_LAYOUT = exports.FIXTURE_RESULT_SIZE = exports.Fixture_Status = exports.ARTICLE_HEADER_TITLE_ALIGNMENT = exports.ARTICLE_HEADER_TITLE_LOCATION = exports.FEATURED_MOBILE = exports.SMALL_FEATURED_NUM = exports.TAB_STYLES = exports.HOMETYPE_BREADCRUMB = exports.HOMEICON_BREADCRUMB = exports.DEVIDER_BREADCRUMB = exports.GRID_DIMENSIONS = exports.DEVICE_SIZES = exports.SIZE = exports.AUTH_TYPE = exports.ARTICLE_VIEW_TYPES = exports.ARTICLES_VIEWS = exports.ARTICLES_SCOPE = exports.ARTICLESLIST_LAYOUT_TYPE = exports.LAYOUT_TYPE = exports.NAV_LINK_DESTINATION = exports.VISIBILITY = exports.RSS = exports.COMMUNITY_FILTER = exports.THEMES = exports.ABTESTS = exports.ABGROUP = exports.LIVEBLOG_EVENTS = exports.ARTICLE_HEADLINE = exports.ARTICLE_TYPE = exports.AD_POSITIONS = exports.BREAKPOINTS = exports.PAGE_TYPE = exports.PAGE_CLASSIFICATION = exports.SIZES_OPTIONS = exports.RESOURCE = exports.BLOCK = exports.MODAL = exports.POPUP_FLAG = void 0;
exports.POPUP_FLAG = 'popup_last_seen';
var MODAL;
(function (MODAL) {
    MODAL["Login"] = "login";
    MODAL["Register"] = "register";
    MODAL["ForgotPassword"] = "forgot password";
    MODAL["Account"] = "account";
})(MODAL = exports.MODAL || (exports.MODAL = {}));
var BLOCK;
(function (BLOCK) {
    BLOCK["Heading"] = "header";
    BLOCK["Paragraph"] = "paragraph";
    BLOCK["Poll"] = "poll";
    BLOCK["Table"] = "table";
    BLOCK["List"] = "list";
    BLOCK["Embed"] = "embed";
    BLOCK["EditorImage"] = "editorImage";
    BLOCK["Raw"] = "raw";
    BLOCK["CollectionItem"] = "CollectionItem";
    BLOCK["RelatedArticles"] = "RelatedArticles";
    BLOCK["EditorLiveBlog"] = "editorLiveBlog";
    BLOCK["EditorGallery"] = "EditorGallery";
    BLOCK["Quote"] = "quote";
})(BLOCK = exports.BLOCK || (exports.BLOCK = {}));
var RESOURCE;
(function (RESOURCE) {
    RESOURCE["Article"] = "article";
    RESOURCE["Tag"] = "tag";
    RESOURCE["Collection"] = "collection";
    RESOURCE["CollectionItem"] = "collection-item";
    RESOURCE["Url"] = "url";
    RESOURCE["Page"] = "page";
    RESOURCE["Redirect"] = "redirect";
    RESOURCE["Forum"] = "forum";
})(RESOURCE = exports.RESOURCE || (exports.RESOURCE = {}));
var SIZES_OPTIONS;
(function (SIZES_OPTIONS) {
    SIZES_OPTIONS["NO"] = "none";
    SIZES_OPTIONS["XS"] = "xs";
    SIZES_OPTIONS["SM"] = "sm";
    SIZES_OPTIONS["MD"] = "md";
    SIZES_OPTIONS["lg"] = "lg";
    SIZES_OPTIONS["FULL"] = "full";
})(SIZES_OPTIONS = exports.SIZES_OPTIONS || (exports.SIZES_OPTIONS = {}));
var PAGE_CLASSIFICATION;
(function (PAGE_CLASSIFICATION) {
    PAGE_CLASSIFICATION["Default"] = "default";
    PAGE_CLASSIFICATION["Home"] = "home";
    PAGE_CLASSIFICATION["Search"] = "search";
    PAGE_CLASSIFICATION["NotFound"] = "notFound";
    PAGE_CLASSIFICATION["Profile"] = "profile";
    PAGE_CLASSIFICATION["UserPage"] = "userPage";
    PAGE_CLASSIFICATION["ResetPassword"] = "resetPassword";
    PAGE_CLASSIFICATION["Author"] = "author";
    //[slug1]
    PAGE_CLASSIFICATION["Pages"] = "pages";
    PAGE_CLASSIFICATION["Tags"] = "tags";
    PAGE_CLASSIFICATION["Collections"] = "collections";
    //[slug1]/[slug2]
    PAGE_CLASSIFICATION["Article"] = "article";
    PAGE_CLASSIFICATION["Forum"] = "forum";
    PAGE_CLASSIFICATION["CollectionItem"] = "collectionItem";
})(PAGE_CLASSIFICATION = exports.PAGE_CLASSIFICATION || (exports.PAGE_CLASSIFICATION = {}));
// type for RESOURCE.Page
var PAGE_TYPE;
(function (PAGE_TYPE) {
    PAGE_TYPE["Bio"] = "bio";
    PAGE_TYPE["Contact"] = "contact";
    PAGE_TYPE["Community"] = "community";
    PAGE_TYPE["General"] = "general";
    PAGE_TYPE["Forum"] = "forum";
})(PAGE_TYPE = exports.PAGE_TYPE || (exports.PAGE_TYPE = {}));
var BREAKPOINTS;
(function (BREAKPOINTS) {
    BREAKPOINTS[BREAKPOINTS["SM"] = 640] = "SM";
    BREAKPOINTS[BREAKPOINTS["MD"] = 768] = "MD";
    BREAKPOINTS[BREAKPOINTS["LG"] = 1024] = "LG";
    BREAKPOINTS[BREAKPOINTS["XL"] = 1280] = "XL";
})(BREAKPOINTS = exports.BREAKPOINTS || (exports.BREAKPOINTS = {}));
var AD_POSITIONS;
(function (AD_POSITIONS) {
    AD_POSITIONS["HEAD_HOMEPAGE"] = "HEAD_HOMEPAGE";
    AD_POSITIONS["TOP_HOMEPAGE"] = "TOP_HOMEPAGE";
    AD_POSITIONS["BELOW_FEATURED_HOMEPAGE"] = "BELOW_FEATURED_HOMEPAGE";
    AD_POSITIONS["BEFORE_LIST_HOMEPAGE"] = "BEFORE_LIST_HOMEPAGE";
    AD_POSITIONS["SIDEBAR_HOMEPAGE_1"] = "SIDEBAR_HOMEPAGE_1";
    AD_POSITIONS["SIDEBAR_HOMEPAGE_2"] = "SIDEBAR_HOMEPAGE_2";
    AD_POSITIONS["SIDEBAR_HOMEPAGE_3"] = "SIDEBAR_HOMEPAGE_3";
    AD_POSITIONS["SIDEBAR_HOMEPAGE_4"] = "SIDEBAR_HOMEPAGE_4";
    AD_POSITIONS["AFTER_3_LIST_HOMEPAGE"] = "AFTER_3_LIST_HOMEPAGE";
    AD_POSITIONS["AFTER_FEATURED_HOMEPAGE"] = "AFTER_FEATURED_HOMEPAGE";
    AD_POSITIONS["IN_LIST_HOMEPAGE"] = "IN_LIST_HOMEPAGE";
    AD_POSITIONS["AFTER_LIST_HOMEPAGE"] = "AFTER_LIST_HOMEPAGE";
    AD_POSITIONS["BOTTOM_HOMEPAGE"] = "BOTTOM_HOMEPAGE";
    AD_POSITIONS["FOOTER_HOMEPAGE"] = "FOOTER_HOMEPAGE";
})(AD_POSITIONS = exports.AD_POSITIONS || (exports.AD_POSITIONS = {}));
var ARTICLE_TYPE;
(function (ARTICLE_TYPE) {
    ARTICLE_TYPE["Regular"] = "regular";
    ARTICLE_TYPE["LiveBlog"] = "liveblog";
})(ARTICLE_TYPE = exports.ARTICLE_TYPE || (exports.ARTICLE_TYPE = {}));
var ARTICLE_HEADLINE;
(function (ARTICLE_HEADLINE) {
    ARTICLE_HEADLINE["Small"] = "small";
    ARTICLE_HEADLINE["Big"] = "big";
    ARTICLE_HEADLINE["No"] = "no";
})(ARTICLE_HEADLINE = exports.ARTICLE_HEADLINE || (exports.ARTICLE_HEADLINE = {}));
var LIVEBLOG_EVENTS;
(function (LIVEBLOG_EVENTS) {
    LIVEBLOG_EVENTS["Created"] = "created";
    LIVEBLOG_EVENTS["Updated"] = "updated";
    LIVEBLOG_EVENTS["Deleted"] = "deleted";
})(LIVEBLOG_EVENTS = exports.LIVEBLOG_EVENTS || (exports.LIVEBLOG_EVENTS = {}));
var ABGROUP;
(function (ABGROUP) {
    ABGROUP["A"] = "A";
    ABGROUP["B"] = "B";
})(ABGROUP = exports.ABGROUP || (exports.ABGROUP = {}));
var ABTESTS;
(function (ABTESTS) {
    ABTESTS["ArticleTitle"] = "ArticleTitle";
})(ABTESTS = exports.ABTESTS || (exports.ABTESTS = {}));
// must match exactly for data.config.json
var THEMES;
(function (THEMES) {
    THEMES["Default"] = "default";
    THEMES["Androidworld"] = "androidworld";
    THEMES["Indespiegel"] = "indespiegel";
    THEMES["Fr12"] = "fr12";
})(THEMES = exports.THEMES || (exports.THEMES = {}));
var COMMUNITY_FILTER;
(function (COMMUNITY_FILTER) {
    COMMUNITY_FILTER["Weekly"] = "weekly";
    COMMUNITY_FILTER["Monthly"] = "monthly";
    COMMUNITY_FILTER["Total"] = "total";
})(COMMUNITY_FILTER = exports.COMMUNITY_FILTER || (exports.COMMUNITY_FILTER = {}));
var RSS;
(function (RSS) {
    RSS["First"] = "external_rss";
    RSS["Second"] = "second_external_rss";
})(RSS = exports.RSS || (exports.RSS = {}));
var VISIBILITY;
(function (VISIBILITY) {
    VISIBILITY["AllPages"] = "all_pages";
    VISIBILITY["Hidden"] = "hidden";
    VISIBILITY["EverywhereExcept"] = "everywhere_except";
    VISIBILITY["NowhereExcept"] = "nowhere_except";
})(VISIBILITY = exports.VISIBILITY || (exports.VISIBILITY = {}));
var NAV_LINK_DESTINATION;
(function (NAV_LINK_DESTINATION) {
    NAV_LINK_DESTINATION["Same"] = "same";
    NAV_LINK_DESTINATION["New"] = "new";
})(NAV_LINK_DESTINATION = exports.NAV_LINK_DESTINATION || (exports.NAV_LINK_DESTINATION = {}));
var LAYOUT_TYPE;
(function (LAYOUT_TYPE) {
    LAYOUT_TYPE["full"] = "full";
    LAYOUT_TYPE["leftSidebar"] = "leftSidebar";
    LAYOUT_TYPE["rightSidebar"] = "rightSidebar";
    LAYOUT_TYPE["fullSidebar"] = "fullSidebar";
})(LAYOUT_TYPE = exports.LAYOUT_TYPE || (exports.LAYOUT_TYPE = {}));
var ARTICLESLIST_LAYOUT_TYPE;
(function (ARTICLESLIST_LAYOUT_TYPE) {
    ARTICLESLIST_LAYOUT_TYPE["VERTICAL"] = "vl";
    ARTICLESLIST_LAYOUT_TYPE["HORIZONTAL"] = "hz";
    ARTICLESLIST_LAYOUT_TYPE["GRID"] = "grid";
})(ARTICLESLIST_LAYOUT_TYPE = exports.ARTICLESLIST_LAYOUT_TYPE || (exports.ARTICLESLIST_LAYOUT_TYPE = {}));
var ARTICLES_SCOPE;
(function (ARTICLES_SCOPE) {
    ARTICLES_SCOPE["Small"] = "small";
    ARTICLES_SCOPE["Big"] = "big";
    ARTICLES_SCOPE["Dynamic"] = "dynamic";
    ARTICLES_SCOPE["Popular"] = "popular";
    ARTICLES_SCOPE["Latest"] = "lat";
    ARTICLES_SCOPE["BIO"] = "bio";
    ARTICLES_SCOPE["Tags"] = "by-tag";
    ARTICLES_SCOPE["Author"] = "author";
    ARTICLES_SCOPE["XML"] = "xml";
})(ARTICLES_SCOPE = exports.ARTICLES_SCOPE || (exports.ARTICLES_SCOPE = {}));
var ARTICLES_VIEWS;
(function (ARTICLES_VIEWS) {
    ARTICLES_VIEWS["Cards"] = "Cards";
    ARTICLES_VIEWS["List"] = "List";
    ARTICLES_VIEWS["Sidebar"] = "Sidebar";
})(ARTICLES_VIEWS = exports.ARTICLES_VIEWS || (exports.ARTICLES_VIEWS = {}));
var ARTICLE_VIEW_TYPES;
(function (ARTICLE_VIEW_TYPES) {
    ARTICLE_VIEW_TYPES["FULL"] = "full";
    ARTICLE_VIEW_TYPES["XLARGE"] = "xl";
    ARTICLE_VIEW_TYPES["LARGE"] = "lg";
    ARTICLE_VIEW_TYPES["MEDIUM"] = "md";
    ARTICLE_VIEW_TYPES["SMALL"] = "sm";
    ARTICLE_VIEW_TYPES["XSMALL"] = "xs";
    ARTICLE_VIEW_TYPES["SUMMARY"] = "summary";
    ARTICLE_VIEW_TYPES["DETAILED"] = "detailed";
})(ARTICLE_VIEW_TYPES = exports.ARTICLE_VIEW_TYPES || (exports.ARTICLE_VIEW_TYPES = {}));
var AUTH_TYPE;
(function (AUTH_TYPE) {
    AUTH_TYPE["LOGIN"] = "login";
    AUTH_TYPE["REGISTER"] = "register";
    AUTH_TYPE["FORGETPASSWORD"] = "forgotPassword";
    AUTH_TYPE["AUTHENTICATED"] = "authenticated";
})(AUTH_TYPE = exports.AUTH_TYPE || (exports.AUTH_TYPE = {}));
var SIZE;
(function (SIZE) {
    SIZE["XS"] = "xs";
    SIZE["SM"] = "sm";
    SIZE["MD"] = "md";
    SIZE["LG"] = "lg";
    SIZE["XL"] = "xl";
    SIZE["2XL"] = "2xl";
    SIZE["3XL"] = "3xl";
    SIZE["4XL"] = "4xl";
    SIZE["5XL"] = "5xl";
    SIZE["6XL"] = "6xl";
    SIZE["7XL"] = "7xl";
})(SIZE = exports.SIZE || (exports.SIZE = {}));
var DEVICE_SIZES;
(function (DEVICE_SIZES) {
    DEVICE_SIZES["DESKTOP"] = "desktop";
    DEVICE_SIZES["MOBILE"] = "mobile";
})(DEVICE_SIZES = exports.DEVICE_SIZES || (exports.DEVICE_SIZES = {}));
var GRID_DIMENSIONS;
(function (GRID_DIMENSIONS) {
    GRID_DIMENSIONS["grid-1-to-1"] = "grid-1-to-1";
    GRID_DIMENSIONS["grid-1-to-3"] = "grid-1-to-3";
    GRID_DIMENSIONS["grid-3-to-1"] = "grid-3-to-1";
    GRID_DIMENSIONS["stack"] = "stack";
})(GRID_DIMENSIONS = exports.GRID_DIMENSIONS || (exports.GRID_DIMENSIONS = {}));
var DEVIDER_BREADCRUMB;
(function (DEVIDER_BREADCRUMB) {
    DEVIDER_BREADCRUMB["slash"] = "slash";
    DEVIDER_BREADCRUMB["arrow"] = "arrow";
    DEVIDER_BREADCRUMB["chevron"] = "chevron";
})(DEVIDER_BREADCRUMB = exports.DEVIDER_BREADCRUMB || (exports.DEVIDER_BREADCRUMB = {}));
var HOMEICON_BREADCRUMB;
(function (HOMEICON_BREADCRUMB) {
    HOMEICON_BREADCRUMB["home"] = "home";
    HOMEICON_BREADCRUMB["logo"] = "logo";
})(HOMEICON_BREADCRUMB = exports.HOMEICON_BREADCRUMB || (exports.HOMEICON_BREADCRUMB = {}));
var HOMETYPE_BREADCRUMB;
(function (HOMETYPE_BREADCRUMB) {
    HOMETYPE_BREADCRUMB["text"] = "text";
    HOMETYPE_BREADCRUMB["text&icon"] = "text&icon";
    HOMETYPE_BREADCRUMB["icon"] = "icon";
})(HOMETYPE_BREADCRUMB = exports.HOMETYPE_BREADCRUMB || (exports.HOMETYPE_BREADCRUMB = {}));
var TAB_STYLES;
(function (TAB_STYLES) {
    TAB_STYLES["style1"] = "style1";
    TAB_STYLES["style2"] = "style2";
    TAB_STYLES["style3"] = "style3";
})(TAB_STYLES = exports.TAB_STYLES || (exports.TAB_STYLES = {}));
var SMALL_FEATURED_NUM;
(function (SMALL_FEATURED_NUM) {
    SMALL_FEATURED_NUM["two"] = "two";
    SMALL_FEATURED_NUM["four"] = "four";
})(SMALL_FEATURED_NUM = exports.SMALL_FEATURED_NUM || (exports.SMALL_FEATURED_NUM = {}));
var FEATURED_MOBILE;
(function (FEATURED_MOBILE) {
    FEATURED_MOBILE["stack"] = "stack";
    FEATURED_MOBILE["slide"] = "slide";
    FEATURED_MOBILE["collect"] = "collect";
})(FEATURED_MOBILE = exports.FEATURED_MOBILE || (exports.FEATURED_MOBILE = {}));
var ARTICLE_HEADER_TITLE_LOCATION;
(function (ARTICLE_HEADER_TITLE_LOCATION) {
    ARTICLE_HEADER_TITLE_LOCATION["outside-image"] = "outside-image";
    ARTICLE_HEADER_TITLE_LOCATION["inside-image"] = "inside-image";
})(ARTICLE_HEADER_TITLE_LOCATION = exports.ARTICLE_HEADER_TITLE_LOCATION || (exports.ARTICLE_HEADER_TITLE_LOCATION = {}));
var ARTICLE_HEADER_TITLE_ALIGNMENT;
(function (ARTICLE_HEADER_TITLE_ALIGNMENT) {
    ARTICLE_HEADER_TITLE_ALIGNMENT["top"] = "top";
    ARTICLE_HEADER_TITLE_ALIGNMENT["bottom"] = "bottom";
})(ARTICLE_HEADER_TITLE_ALIGNMENT = exports.ARTICLE_HEADER_TITLE_ALIGNMENT || (exports.ARTICLE_HEADER_TITLE_ALIGNMENT = {}));
var Fixture_Status;
(function (Fixture_Status) {
    Fixture_Status["NotStarted"] = "not_started";
    Fixture_Status["HalfTime"] = "half_time";
    Fixture_Status["FullTime"] = "full_time";
    Fixture_Status["ExtraTime"] = "extra_time";
    Fixture_Status["Penalties"] = "penalties";
    Fixture_Status["FinishedAfterPenalties"] = "finished_after_penalties";
    Fixture_Status["Cancelled"] = "cancelled";
    Fixture_Status["FinishedAfterExtraTime"] = "finished-after_extra_time";
    Fixture_Status["Delayed"] = "delayed";
    Fixture_Status["Suspended"] = "suspended";
    Fixture_Status["AwaitingUpdate"] = "awaiting_update";
})(Fixture_Status = exports.Fixture_Status || (exports.Fixture_Status = {}));
var FIXTURE_RESULT_SIZE;
(function (FIXTURE_RESULT_SIZE) {
    FIXTURE_RESULT_SIZE["SM"] = "sm";
    FIXTURE_RESULT_SIZE["MD"] = "md";
    FIXTURE_RESULT_SIZE["LG"] = "lg";
})(FIXTURE_RESULT_SIZE = exports.FIXTURE_RESULT_SIZE || (exports.FIXTURE_RESULT_SIZE = {}));
var FIXTURE_RESULT_LAYOUT;
(function (FIXTURE_RESULT_LAYOUT) {
    FIXTURE_RESULT_LAYOUT["HORIZONTAL"] = "horizontal";
    FIXTURE_RESULT_LAYOUT["VERTICAL"] = "vertical";
})(FIXTURE_RESULT_LAYOUT = exports.FIXTURE_RESULT_LAYOUT || (exports.FIXTURE_RESULT_LAYOUT = {}));
var THUMBNAILS_SIZE;
(function (THUMBNAILS_SIZE) {
    THUMBNAILS_SIZE["SM"] = "sm";
    THUMBNAILS_SIZE["MD"] = "md";
    THUMBNAILS_SIZE["LG"] = "lg";
})(THUMBNAILS_SIZE = exports.THUMBNAILS_SIZE || (exports.THUMBNAILS_SIZE = {}));
var FLEX_ALIGNMENTS;
(function (FLEX_ALIGNMENTS) {
    FLEX_ALIGNMENTS["START"] = "start";
    FLEX_ALIGNMENTS["CENTER"] = "center";
    FLEX_ALIGNMENTS["END"] = "end";
})(FLEX_ALIGNMENTS = exports.FLEX_ALIGNMENTS || (exports.FLEX_ALIGNMENTS = {}));
